<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "School List";
$file = "school_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $centr = $_POST['center'];
    $medm = $_POST['medium'];
    $city = $_POST['city'];
    $orderby = $_REQUEST["orderby"];

    
    $namecond = "";
    $centcond = "";
    $medmcond = "";
    $ordercond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = "AND `accode`='$name' ";
    }
    if (!empty($medm)) {
        $medmcond = " AND `medmcode` = '$medm' ";
    }
    if (!empty($centr)) {
        $centcond = " AND `centcode` = '$centr' ";
    }
    if (!empty($city)) {
        $citycond = "AND `city`='$city' ";
    }
    if(!empty($orderby)){
    $ordercond = "order by $orderby";
}
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where `grpcode` = '010' $namecond $centcond $medmcond $citycond ") or die(mysqli_error($conn));


    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr  style="background-color: #6082BF">
                            <th>Sr</th>
                            <?php if ($orderby == "custcode") { ?>
                                    <th>Code</th>
                                <?php } elseif ($orderby == "name") { ?>
                                    <th>Name</th>
                                <?php } ?>
                            <th>Address</th>
                            <th>Medium</th>
                            <th>Center</th>
                            <th>Stdepot</th>
                            <th>Courier</th>
                            <th>City</th>
                            <th>Email Id</th>
                            <th>Tel.</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            
                            $custcode = $pmain['custcode'];
                            $name = $pmain['name'];
                            $addr = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];
                            $country = $pmain['country'];
                            $city = $pmain['city'] . " - " . $pmain['pin'];
                            $email = $pmain['email'];
                            $telno = $pmain['tel'];
                            $centr = $pmain['centcode'];
                            $medm = $pmain['medmcode'];
                            $stdepo = $pmain['stdepot'];
                            $cour = $pmain['courier'];
                            $email = $pmain['email'];

                            $gmedium = mysqli_query($conn, "SELECT code,name FROM `medium` where code = '$medm' ")or die(mysqli_error($conn));
                            $fmedium = mysqli_fetch_array($gmedium);
                            $medium = $fmedium['name'];

                            $gcenter= mysqli_query($conn, "SELECT code,name FROM `center` where code = '$centr' ")or die(mysqli_error($conn));
                            $fcenter = mysqli_fetch_array($gcenter);
                            $center = $fcenter['name'];

                            $gstdepot = mysqli_query($conn, "SELECT code,name FROM `stdepot` where code = '$stdepo' ")or die(mysqli_error($conn));
                            $fstdepot = mysqli_fetch_array($gstdepot);
                            $stdepot = $fstdepot['name'];
                            
                            $gcourier = mysqli_query($conn, "SELECT code,name FROM `courier` where code = '$courier' ")or die(mysqli_error($conn));
                            $fcourier = mysqli_fetch_array($gcourier);
                            $courier = $fcourier['name'];
                            
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            if ($orderby == "custcode") {
                                    Echo "<td>$custcode</td>";
                             } elseif ($orderby == "name") {
                                    Echo "<td>$name</td>";
                             } 
                            Echo "<td>$addr </td>";
                            Echo "<td>$medium </td>";
                            Echo "<td>$center</td>";
                            Echo "<td>$stdepot</td>";
                            Echo "<td>$courier</td>";
                            Echo "<td>$city</td>";
                            Echo "<td>$email</td>";
                            Echo "<td>$telno</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = "AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where `grpcode` = 10 $namecond $countrycond $citycond") or die(mysqli_error($conn));

    $contents .= "Sr.No,Code,Name ,Address,Country,City,Email,Pin,Tel,\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $custcode = str_replace(',', ' ',$pmain['custcode']);
        $pname = str_replace(',', ' ',$pmain['name']);
        $paddr = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];
        $nadd = str_replace(',', ' ', $paddr);
//        $nadd = mysqli_real_escape_string($conn, $paddr);
        $pcountry = str_replace(',', ' ', $pmain['country']);
        $pcity = str_replace(',', ' ', $pmain['city']);
        $pemail = str_replace(',', ' ', $pmain['email']);
        $ppin = str_replace(',', ' ', $pmain['pin']);
        $ptelno = str_replace(',', ' ', $pmain['tel']);

        $contents .= $ctr . ",";
        $contents .= $custcode . ",";
        $contents .= $pname . ",";
        $contents .= $nadd . ",";
        $contents .= $pcountry . ",";
        $contents .= $pcity . ",";
        $contents .= $pemail . ",";
        $contents .= $ppin . ",";
        $contents .= $ptelno . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = "AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where `grpcode` = 10 $namecond $countrycond $citycond") or die(mysqli_error($conn));


    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {



//Position at 1.5 cm from bottom

            $this->SetY(-15);

//Arial italic 8

            $this->SetFont('Arial', 'I', 8);

//Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(96, 130, 191);
    $pdf->Cell(8, 7, "Sr.", 1, 0, '', 1);
    $pdf->Cell(15, 7, "code", 1, 0, '', 1);
    $pdf->Cell(70, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(60, 7, "Address", 1, 0, '', 1);
    $pdf->Cell(25, 7, "Country", 1, 0, '', 1);
    $pdf->Cell(25, 7, "City", 1, 0, '', 1);
    $pdf->Cell(40, 7, "Email", 1, 0, '', 1);
    $pdf->Cell(15, 7, "Pin", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Telephone", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;
        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, "$ctr", 1);
        $pdf->Cell(15, 7, "$pmain[custcode]", 1);
        $pdf->Cell(70, 7, "$pmain[name]", 1);
        $pdf->Cell(60, 7, "$pmain[add1]", 1);
        $pdf->Cell(25, 7, "$pmain[country]", 1);
        $pdf->Cell(25, 7, "$pmain[city]", 1);
        $pdf->Cell(40, 7, "$pmain[email]", 1);
        $pdf->Cell(15, 7, "$pmain[pin]", 1);
        $pdf->Cell(20, 7, "$pmain[telno]", 1);
        $pdf->Ln();
        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, " ", 1);
        $pdf->Cell(15, 7, " ", 1);
        $pdf->Cell(70, 7, " ", 1);
        $pdf->Cell(60, 7, "$pmain[add2]", 1);
        $pdf->Cell(25, 7, " ", 1);
        $pdf->Cell(25, 7, " ", 1);
        $pdf->Cell(40, 7, " ", 1);
        $pdf->Cell(15, 7, " ", 1);
        $pdf->Cell(20, 7, " ", 1);
        $pdf->Ln();
        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, " ", 1);
        $pdf->Cell(15, 7, " ", 1);
        $pdf->Cell(70, 7, " ", 1);
        $pdf->Cell(60, 7, "$pmain[add3]", 1);
        $pdf->Cell(25, 7, " ", 1);
        $pdf->Cell(25, 7, " ", 1);
        $pdf->Cell(40, 7, " ", 1);
        $pdf->Cell(15, 7, " ", 1);
        $pdf->Cell(20, 7, " ", 1);
        $pdf->Ln();
    }
    $pdf->Output("School.pdf", "D");
}
?>